Urgent Need for OS/2 Printer Driver - OS2

This is a discussion on Urgent Need for OS/2 Printer Driver - OS2 ; I'm in urgent need of an OS/2 driver for a Hewlett-Packard LaserJet P2015/P2015d printer. After 15+ years of reliable service, my HP LaserJet IIIP printer finally succumbed to old age ... ~:-( A new HP LaserJet P2015d was subsequently purchased ...

+ Reply to Thread
Results 1 to 6 of 6

Thread: Urgent Need for OS/2 Printer Driver

  1. Urgent Need for OS/2 Printer Driver

    I'm in urgent need of an OS/2 driver for a Hewlett-Packard
    LaserJet P2015/P2015d printer.

    After 15+ years of reliable service, my HP LaserJet IIIP
    printer finally succumbed to old age ... ~:-(

    A new HP LaserJet P2015d was subsequently purchased directly
    from HP after checking the specs which indicated support for
    OS/2, in addition to the Windows/Mac platforms. Confirmed by
    the HP Small & Medium Business group from whom the printer
    was purchased. There was also further agreement that if OS/2
    support was not satisfactory, the printer could be returned
    for a full refund.

    Unfortunately, the published online spec sheet was incorrect:
    There is no HP support for OS/2, and Linux is rather limited.
    Otherwise, the printer is really superb. Before returning it,
    I'm trying to find an OS/2 driver somewhere in the world which
    might be available. So far, no luck!

    If anyone has an HP LaserJet P2015/P2015d which prints under
    OS/2 (or eCS); or knows where an OS/2 driver can be found,
    PLEASE respond back to me just as soon as possible. There is
    only very short time left for me to return the printer to HP.
    I will be most grateful for your prompt assistance.

    Many thanks in advance.

    Larry Lavins
    Leader, Philadelphia Alternate Systems User Group



  2. Re: Urgent Need for OS/2 Printer Driver

    On Wed, 21 Nov 2007 14:53:41 -0500 (EST), Larry Lavins wrote:

    >If anyone has an HP LaserJet P2015/P2015d which prints under
    >OS/2 (or eCS); or knows where an OS/2 driver can be found,
    >PLEASE respond back to me just as soon as possible. There is
    >only very short time left for me to return the printer to HP.
    >I will be most grateful for your prompt assistance.


    Did you actually try and plug it in under eCS (in case you have it
    installed)? Otherwise just install whatever Laserjet you like (a newer model
    with 1200 dpi resolution). The printer uses PCL6 and Postscript, both of
    which are supported fine by OS/2 for years now. So unless you want duplex
    printing and other bells and whistles, the printer should just work with any
    PCL or PS driver.

    Cheers
    Andreas

    --

    Andreas Ludwig
    Vancouver, BC
    using PMINews 2 on eCS 1.2R German!
    http://andreas-ludwig.info/




  3. Re: Urgent Need for OS/2 Printer Driver

    On Wed, 21 Nov 2007 19:53:41 UTC, "Larry Lavins"
    wrote:

    -> I'm in urgent need of an OS/2 driver for a Hewlett-Packard
    -> LaserJet P2015/P2015d printer.
    ->
    -> After 15+ years of reliable service, my HP LaserJet IIIP
    -> printer finally succumbed to old age ... ~:-(
    ->
    -> A new HP LaserJet P2015d was subsequently purchased directly
    -> from HP after checking the specs which indicated support for
    -> OS/2, in addition to the Windows/Mac platforms. Confirmed by
    -> the HP Small & Medium Business group from whom the printer
    -> was purchased. There was also further agreement that if OS/2
    -> support was not satisfactory, the printer could be returned
    -> for a full refund.
    ->
    -> Unfortunately, the published online spec sheet was incorrect:
    -> There is no HP support for OS/2, and Linux is rather limited.
    -> Otherwise, the printer is really superb. Before returning it,
    -> I'm trying to find an OS/2 driver somewhere in the world which
    -> might be available. So far, no luck!
    ->
    -> If anyone has an HP LaserJet P2015/P2015d which prints under
    -> OS/2 (or eCS); or knows where an OS/2 driver can be found,
    -> PLEASE respond back to me just as soon as possible. There is
    -> only very short time left for me to return the printer to HP.
    -> I will be most grateful for your prompt assistance.
    ->
    -> Many thanks in advance.
    ->
    -> Larry Lavins
    -> Leader, Philadelphia Alternate Systems User Group
    ->
    ->

    Its not listed on the OS/2 Hardware page -
    http://en.ecomstation.ru/hardware.ph...ction=print&pa
    ge=4

    According to HP's website this printer has the following emulation:

    http://h10010.www1.hp.com/wwpc/us/en...2-3328059-1463
    8-3328066-1845551.html

    "HP PCL 5e, HP PCL 6, HP Postscript level 3 emulation with automatic
    language switching"

    Have you tried an HP LaserJet driver? Or a Postscript driver?

    Mark

    --
    From the eComStation of Mark Dodel

    Warpstock 2007 - Toronto, Ontario, Canada: http://www.warpstock.org
    Warpstock Europe - Valkenswaard close to Eindhoven, the Netherlands:
    http://www.warpstock.eu

  4. Re: Urgent Need for OS/2 Printer Driver

    Larry Lavins wrote:
    >
    > If anyone has an HP LaserJet P2015/P2015d which prints under
    > OS/2 (or eCS); or knows where an OS/2 driver can be found,
    >

    Under linux, it seems to be somewhat supported by CUPS (I just guickly
    checked Google for 'p2015 cups driver').

    There is a port of CUPS gor os/2 in Paul Smedley's page at

    http://smedley.info/os2ports

    I have never personally investigated CUPS, though.


    Piersante

  5. Re: Urgent Need for OS/2 Printer Driver

    On 11/21/07 12:53 pm, Larry Lavins wrote:
    > I'm in urgent need of an OS/2 driver for a Hewlett-Packard
    > LaserJet P2015/P2015d printer.
    >

    Use the PPD file supplied on the CD to create a Postscript instance for
    the p2015 printer. It works great here doing that. The Postscript driver
    generally outputs better results anyway.

    --
    jmm (hyphen) list (at) sohnen-moe (dot) com
    (Remove .AXSPAMGN for email)

  6. Re: Urgent Need for OS/2 Printer Driver

    Jim Moe wrote:
    > On 11/21/07 12:53 pm, Larry Lavins wrote:
    >> I'm in urgent need of an OS/2 driver for a Hewlett-Packard
    >> LaserJet P2015/P2015d printer.
    >>

    > Use the PPD file supplied on the CD to create a Postscript instance for
    > the p2015 printer. It works great here doing that. The Postscript driver
    > generally outputs better results anyway.
    >

    http://svn.netlabs.org/ecups/wiki/AddPpdFiles
    has instructions for how to process the PPD file.
    Andy


+ Reply to Thread